Bug 445414 - (CVE-2008-1379) CVE-2008-1379 X.org MIT-SHM extension arbitrary memory read
CVE-2008-1379 X.org MIT-SHM extension arbitrary memory read
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
source=freedesktop.org,reported=20080...
: Reopened, Security
Depends On: 445437 445438 445439 445440 445441 445442 445443 450924 450925 450926 450927
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-06 15:24 EDT by Josh Bressers
Modified: 2008-06-14 01:39 EDT (History)
4 users (show)

See Also:
Fixed In Version: 1.4.99.902-3.20080612.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-14 01:39:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2008-05-06 15:24:06 EDT
iDefense reported several flaws in the X.org MIT-SHM extension. The iDefense
advisory states:

    Local exploitation of an information disclosure vulnerability in the
    X.Org X server, as included in various vendors' operating system
    distributions, could allow an attacker to gain access to sensitive
    information stored in server memory.

    The vulnerability exists when creating a Pixmap in the fbShmPutImage()
    function. The width and height of the Pixmap, which are controlled by
    the user, are not properly validated to ensure that the Pixmap they
    define are within the bounds of the shared memory segment. This allows
    an attacker to read arbitrary areas of memory in the X Server process.
Comment 6 Tomas Hoger 2008-06-11 14:22:58 EDT
Public now:

  http://lists.freedesktop.org/archives/xorg/2008-June/036026.html
Comment 8 Fedora Update System 2008-06-12 02:04:59 EDT
xorg-x11-server-1.4.99.902-3.20080612.fc9 has been submitted as an update for Fedora 9
Comment 9 Tomas Hoger 2008-06-12 04:50:23 EDT
iDefense advisory:

  http://labs.idefense.com/intelligence/vulnerabilities/display.php?id=722
Comment 10 Fedora Update System 2008-06-12 22:18:12 EDT
xorg-x11-server-1.4.99.902-3.20080612.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xorg-x11-server'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-5254
Comment 11 Fedora Update System 2008-06-12 22:23:46 EDT
xorg-x11-server-1.3.0.0-17.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2008-06-14 00:15:15 EDT
xorg-x11-server-1.4.99.902-3.20080612.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2008-06-14 00:19:09 EDT
xorg-x11-server-1.3.0.0-46.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.